% cf. [MOT], p. 2-75

function stop = outfun(x,optimValues,state,varargin)
    stop = [];
    persistent history
    switch state
       case 'init'
          history = [];
       case 'iter'
          % Concatenate current point with history.
          % x must be a row vector.
          history = [history; x];
       case 'done'
          assignin('base','iteration',history);
       otherwise
    end

