function [f,g,H] = ObjFun(w)

  global X_train y_train lambda;
  n = size(X_train,2);
 

  h = 1 ./ (1 + exp(- y_train .* (X_train * w)));
  p = (h > 0);
  if p > 0;
    f = lambda * 0.5 * w' * w - sum(log(h));
  else
    f = sqrt(realmax);
  end
  if nargout > 1
    g = lambda * w - X_train' * (y_train .* (1-h));
  end
  if nargout > 2
      H = lambda * eye(n) + X_train' * diag(h.*(1-h)) * X_train;
  end

