function [w,iterations] = LogReg(w0,Tol)

% LogReg: logistic regression
global X y;

[m,n] = size(X);

w = w0; iterations = [w'];

% perform Newton's method
g = ones(n,1);
while (norm(g) > Tol)
  [f,g,H] = ObjFun(w);
  w = w - H \ g; 
  iterations = [iterations; w'];
end


