function [f,g,H] = ObjFun(w)

  global X y lambda;
  n = size(X,2);

  h = 1 ./ (1 + exp(- y .* (X * w)));
  f = lambda*0.5*w'*w - sum(log(h));

  if nargout > 1
    g = lambda*w - X' * (y .* (1-h));
  end
  if nargout > 2
      H = lambda*eye(n) + X' * diag(h.*(1-h)) * X;
  end

