% confer Matlab User Guide, p. 2-75ff

function stop = outfun(theta,optimValues,state,varargin)
    stop = [];
    persistent history
    switch state
       case 'init'
          history = [];
       case 'iter'
          % Concatenate current point with history.
          % theta must be a row vector.
          history = [history; theta'];
       case 'done'
          assignin('base','iterations',history);
       otherwise
    end

